Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 55180 - nis client authentication failures
nis client authentication failures
Status: CLOSED ERRATA
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Other (Show other bugs)
RHN Devel
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Cristian Gafton
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-26 13:45 EDT by Need Real Name
Modified: 2015-01-07 18:52 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-26 13:45:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-10-26 13:45:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0)

Description of problem:
All NIS accounts are rejected from logging on the system.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Set up a RH 7.2 system on a brand new Athlon PC.
2.Select NIS access with a given NIS domain and server.
3.Reboot machine and attempt to log on using any NIS accounts.


Actual Results:    All access are declined.  System logs reveals 
authentication failures.



Expected Results:  Successful log in.

The same set of NIS accounts works okay on a system installed with RedHat 
7.1, using the same set up as above.


Additional info:
Comment 1 Need Real Name 2001-10-30 03:24:26 EST
I believe I have now worked out the problem.

The authentication process has apparantly been changed in that
it will accept the first 8 characters as a valid password.

Before RH 7.2, the authentication will accept the first 8 characters
of a password as well as the full password if it is longer than 8 
characters.

Under RH 7.2, if the full password longer then 8 characters is
supplied, login is rejected.  The user has to enter the first 8 
characters of a password to log on.

This poses an embarrassment in a mixed NIS environment.

Note You need to log in before you can comment on or make changes to this bug.